Subject: Re: bug#35586: GNOME

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sun, 5 May 2019 20:52:30 +0200

On Sun, May 05, 2019 at 02:20:39PM -0400, Raghav Gururajan wrote:
> Hello Guix!
> 
> Based on the mail-list thread "https://lists.gnu.org/archive/html/help-
> guix/2019-05/msg00124.html", it appears that there is a bug, where some
> GNOME Core Applications are actually packaged in guix but have not been
> included in guix's "gnome" package.
> 

Thank you for doing something about this!

> found out that the following gnome core application packages are indeed
> packaged in guix, but have not been included in guix's gnome package. 
> 
> gnome-calendar
> gnome-clocks
> gnome-common
> gnome-desktop

gnome-common and gnome-desktop are libraries, not core applications.

> gnome-dictionary
> gnome-doc-utils

gnome-doc-utils is not a core application.

> gnome-icon-theme
> gnome-klotski
> gnome-maps
> gnome-mime-data
> gnome-mines
> gnome-mpv

gnome-mpv is not core.

> gnome-planner
> gnome-screenshot
> gnome-shell-extensions
> gnome-sudoku
> gnome-todo
> gnome-tweak-tool
> gnome-vfs

I don’t quite know, is gnome-vfs the same as gvfs?

> gnome-video-effects

This appears to be a codec pack or something (?), not an application.

> The following gnome core applications are also already packaged in guix
> but requires correct renaming before adding to guix's gnome package?
> 
> rhythmbox --> gnome-music
> shotwell --> gnome-photos
> 

Parabola GNU/Linux-libre packaging shows that these are not the same
app and should not be renamed.

[florian@pelzflorian ~]$ pacman -Ss shotwell
community/shotwell 2:0.30.4-1
    A digital photo organizer designed for the GNOME desktop environment
[florian@pelzflorian ~]$ pacman -Ss gnome-photos
extra/gnome-photos 3.32.0-1 (gnome)
    Access, organize, and share your photos on GNOME
[florian@pelzflorian ~]$ pacman -Ss rhythmbox
extra/rhythmbox 3.4.3-1
    Music playback and management application
community/ario 1.6-1
    A GTK client for MPD inspired by Rhythmbox but much lighter and faster
[florian@pelzflorian ~]$ pacman -Ss gnome-music
extra/gnome-music 1:3.32.1-1 (gnome)
    Music player and management application

> The following gnome core applications have already been included in
> guix's gnome package but requires correct renaming?
> 
> epiphany --> gnome-web
> envice --> gnome-documents
> eog --> gnome-images
> file-roller --> gnome-autoar
> gedit --> gnome-text
> nautilus --> gnome-files
>

Well, they have two names and others frequently refer to them by
e.g. Epiphany and not GNOME Web, including Epiphany developers.

Of course, there are more non-packaged applications.

I also remember
https://blogs.gnome.org/mcatanzaro/2016/09/21/gnome-3-22-core-apps/
who says, for example, that gnome-tweaks is *not* core.

> I really hope if the above modifications are made, it will fulfill the
> actual description of guix's gnome package (http://guix.gnu.org/package
> s/gnome-3.28.2/). ☺
> 

Yes, I agree, that should be the goal.

Regards,
Florian